javax.persistence

## Class NonUniqueResultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.NonUniqueResultException

- All Implemented Interfaces:
    Serializable

      public class NonUniqueResultException
      extends PersistenceException

  Thrown by the persistence provider when `Query.getSingleResult()` or `TypedQuery.getSingleResult()` is executed on a query and there is more than one result from the query. This exception will not cause the current transaction, if one is active, to be marked for rollback.
  Since:
    Java Persistence 1.0
  See Also:
    `Query.getSingleResult()`, `TypedQuery.getSingleResult()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonUniqueResultException()` Constructs a new `NonUniqueResultException` exception with `null` as its detail message.
    `NonUniqueResultException(String message)` Constructs a new `NonUniqueResultException` exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonUniqueResultException

          public NonUniqueResultException()

      Constructs a new `NonUniqueResultException` exception with `null` as its detail message.

    - #### NonUniqueResultException

          public NonUniqueResultException(String message)

      Constructs a new `NonUniqueResultException` exception with the specified detail message.
      Parameters:
        `message` - the detail message.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.